## relaxngcc 1.12

=== debian/changelog ===
relaxngcc (1.12-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in Homepage
  * Point Vcs fields to Salsa
  * Add fake watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/default-jdk/default-jdk-headless/

 -- Andreas Tille <tille@debian.org>  Thu, 10 Apr 2025 21:39:04 +0200

relaxngcc (1.12-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:28:10 +0100

relaxngcc (1.12-1) unstable; urgency=medium

  * Initial release. (Closes: #732374)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 27 Feb 2014 18:21:56 +0100
