=== debian/control ===
Source: relaxngcc
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Section: java
Priority: optional
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk-headless,
               graphviz,
               javacc,
               javahelper,
               libmsv-java
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/relaxngcc
Vcs-Git: https://salsa.debian.org/java-team/relaxngcc.git
Homepage: https://sourceforge.net/projects/relaxngcc/

Package: librelaxngcc-java
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: RELAX NG Compiler Compiler
 RelaxNGCC is a tool for generating Java source code from a given RELAX NG
 grammar. By embedding code fragments in the grammar like yacc or JavaCC, you
 can take appropriate actions while parsing valid XML documents against the
 grammar.

Package: librelaxngcc-java-doc
Architecture: all
Section: doc
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: RELAX NG Compiler Compiler -- documentation
 RelaxNGCC is a tool for generating Java source code from a given RELAX NG
 grammar. By embedding code fragments in the grammar like yacc or JavaCC, you
 can take appropriate actions while parsing valid XML documents against the
 grammar.
 .
 This package contains javadoc for librelaxngcc-java.
