=== debian/watch ===
# Use 'debian/rules get-orig-source', since the tarball needs to be generated

version=4
opts=dversionmangle=s/.*/0.No-Track/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
